chats.chatEnrichments
GET
/v1/chats/{chatId}/enrichments
const url = 'https://example.com/v1/chats/example/enrichments';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/chats/example/enrichments \ --header 'Authorization: Bearer <token>'Lists what the memory Bot added to the input of each Turn, and the Bot memory entries that it used.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”chatId
required
string
Responses
Section titled “Responses”Success
Media typeapplication/json
ChatModelInvalid | OrganizationRequired
AuthenticationRequired
Media typeapplication/json
object
_tag
required
string
Example
{ "_tag": "AuthenticationRequired"}@nmnmcc/ability/Authorizer/Forbidden | MembershipRequired | ForbiddenOrigin
ChatNotFound
Media typeapplication/json
object
_tag
required
string
chat
required
string
Example
{ "_tag": "ChatNotFound"}ChatConflict | @nmnmcc/ability/Authorizer/Pending
RateLimited
Media typeapplication/json
object
_tag
required
string
retryAfterSeconds
required
integer
Example
{ "_tag": "RateLimited"}ChatStorageUnavailable | AuthenticationUnavailable | RequestFailed